using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EKONO.DB
{
    /*
       Clase Queries
       Es la encargada de almacenar todos las consultas en formato string para ser ejecutadas posteriormete         
   */


   public class Queries
    {
        public static string UpdateChargeState(string chargecode) {
            return "";
        }


        /// <summary>
        /// Obtiene el valor del según el parametro en CG_PARAMETERS
        /// </summary>
        /// <param name="pPATAMETER"></param>
        /// <returns></returns>
        public static string GetValueCGParameter(string pPATAMETER)
        {
            return "SELECT c.VALUE FROM CG_PARAMETERS c WHERE c.PARAMETER = '" + pPATAMETER + "'";
        }

        public static string GetZunifyTranIdByChargeCode(string chargeCode) {
            return "SELECT c.C_TRANSACTIONID FROM ZUN_ZUNIFY_WHREGISTER c WHERE c.C_CHARCHECODE = '" + chargeCode + "'";
        }


    }
}
